# Contacts

## List all client's contacts

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/clients_contacts`

#### Query Parameters

| Name      | Type   | Description                                                               |
| --------- | ------ | ------------------------------------------------------------------------- |
| page      | string | The number of the page you wish to see. Default is 1.                     |
| per\_page | string | The number of the desired result per page. Default is 20. Maximum is 100. |

#### Headers

| Name             | Type   | Description                   |
| ---------------- | ------ | ----------------------------- |
| Authentification | string | Bearer token.                 |
| Accept           | string | Should be `application/json`. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "id": 1,
            "clientID": 1,
            "nom": "TEST 1",
            "fonction": "",
            "departement": "",
            "email": "test1@test.com",
            "telephone": "",
            "cell": "",
            "fax": ""
        },
        {
            "id": 2,
            "clientID": 2,
            "nom": "TEST 2",
            "fonction": "",
            "departement": "",
            "email": "test2@test.com",
            "telephone": "",
            "cell": "",
            "fax": ""
        }
    ],
    "meta": {
        "current_page": 1,
        "last_page": 1,
        "per_page": 25,
        "total": 2
    },
    "success": true
}
```

{% endtab %}
{% endtabs %}

## Retrieve a client's contact

<mark style="color:blue;">`GET`</mark> `https://app.gem-books.com/api/clients_contacts/:id`

#### Path Parameters

| Name | Type   | Description                        |
| ---- | ------ | ---------------------------------- |
| id   | string | The id of the contact to retrieve. |

{% tabs %}
{% tab title="200 " %}

```
{
    "data": [
        {
            "id": 1,
            "clientID": 1,
            "nom": "TEST 1",
            "fonction": "",
            "departement": "",
            "email": "test1@test.com",
            "telephone": "",
            "cell": "",
            "fax": ""
        }
    ]
    "success": true
}
```

{% endtab %}
{% endtabs %}

## Add a new client's contact

<mark style="color:green;">`POST`</mark> `https://app.gem-books.com/api/clients_contacts`

```
{
    "client_id": 158,
    "name" : "test"
}
```
